/* 
 * File:   pms_program.h
 * Author: aamir64
 *
 * Created on 13 May 2013, 5:51 PM
 */
/***************************************************************************
 * COSC1283/1284 - Programming Techniques
 * Semester 1 2013 Assignment #2 - SCSIT Program Management System
 * Full Name        : EDIT HERE
 * Student Number   : EDIT HERE
 * Yallara Username : EDIT HERE
 * Course Code      : EDIT HERE
 * Program Code     : EDIT HERE
 * Start up code provided by Paul Miller and Xiaodong Li
 **************************************************************************/


#ifndef PMS_PROGRAM_H
#define PMS_PROGRAM_H

#include "pms.h"
#include <glib-2.0/glib.h>
#include <stdlib.h>
#include <string.h>
struct program_data
{
    char progID[ID_LEN + 1];   /* Unique ID for a program */
    char progTitle[MAX_TITLE_LEN + 1];
    char progMajor[MAX_TITLE_LEN + 1];
    char progCode[PROG_CODE_LEN + 1];
    float progDuration;
    char progType[PROG_TYPE_LEN+1];    /* Undergrade(UG) or Postgrad (PG) */
    char progMode[MODE_LEN+1];  /* Full-time (FT) or Part-time (PT) */
    char progDescription[MAX_DESC_LEN+1];
    char majorDescription[MAX_DESC_LEN+1];
};
typedef struct program
{
    struct program_data * data;
    ProgramTypePtr nextProgram;
    ProgramTypePtr previousProgram;
    CourseTypePtr headCourse;
    unsigned numCourses;
} ProgramType;

/* create any function prototypes required for managing the pms_program list
 * here.
 */

#ifdef	__cplusplus
extern "C" {
#endif
ProgramType * AppendProgram(struct program_data *pdata,CourseType *ctype, ProgramType *ptype,unsigned int numCourse);

#ifdef	__cplusplus
}
#endif

#endif	/* PMS_PROGRAM_H */

