/***************************************************************************
 * COSC1283/1284 - Programming Techniques
 * Semester 1 2013 Assignment #2 - SCSIT Program Management System
 * Full Name        : EDIT HERE
 * Student Number   : EDIT HERE
 * Yallara Username : EDIT HERE
 * Course Code      : EDIT HERE
 * Program Code     : EDIT HERE
 * Start up code provided by Paul Miller,and Xiaodong Li
 **************************************************************************/

#include "pms.h"
#include "pms_options.h"
#include "pms_utility.h"

int main(int argc, char* argv[])
{
    PMSType pms;
    int initFlag, dataFlag;
    char coursefile[]  = "C:/Users/aamir64/Dropbox/RMIT/Programming techniques/Asg2/course.dat";
    char progfile[] = "C:/Users/aamir64/Dropbox/RMIT/Programming techniques/Asg2/program.dat";
    loadData(&pms,progfile,coursefile);

    /* Initialise the program management system to a safe empty state. */
    initFlag = systemInit(&pms);

    /*Populate the program management system with data from the data files. 
      Uncomment this line when you are ready to use command line 
      arguments: 
       dataFlag = loadData(&pms, argv[1], argv[2]); */

    /* Testing to see if both systemInit(.) and loadData(.) are ok */
    if (initFlag == FAILURE || dataFlag == FAILURE)
        exit(EXIT_FAILURE); 

    /* Interactive menu providing user with access to the 9 menu options */

    /* Deallocate all dynamically allocated memory. */
    systemFree(&pms);

    exit(EXIT_SUCCESS);

}
