/* 
 * File:   pms_course.h
 * Author: aamir64
 *
 * Created on 13 May 2013, 5:51 PM
 */
/***************************************************************************
 * COSC1283/1284 - Programming Techniques
 * Semester 1 2013 Assignment #2 - SCSIT Program Management System
 * Full Name        : EDIT HERE
 * Student Number   : EDIT HERE
 * Yallara Username : EDIT HERE
 * Course Code      : EDIT HERE
 * Program Code     : EDIT HERE
 * Start up code provided by Paul Miller and Xiaodong Li
 **************************************************************************/
#ifndef PMS_COURSE_H
#define PMS_COURSE_H
#include "pms.h"
#include <glib-2.0/glib.h>
#include <stdlib.h>
#include <string.h>
typedef struct teachPeriod
{
    unsigned semester;
    unsigned year;
} TeachPeriodType;

struct course_data
{
    char courseID[ID_LEN + 1];  /* Unique ID for a course */
    char progID[ID_LEN + 1];
    char courseTitle[MAX_TITLE_LEN + 1];
    char courseCode[COURSE_CODE_LEN + 1];
    unsigned creditPoints;
    TeachPeriodType teachPeriods[NUM_TEACHPERIODS];
    char courseCoordinator[MAX_TITLE_LEN+1];
    char courseDescription[MAX_DESC_LEN+1];
};

typedef struct course
{
    struct course_data * data;
    CourseTypePtr nextCourse;
    CourseTypePtr previousCourse;
} CourseType;


/* provide prototypes for managing the pms_course list data structure
 * here
 */
#ifdef	__cplusplus
extern "C" {
#endif
CourseType *AppendCourse(struct course_data *d,CourseType *type);

#ifdef	__cplusplus
}
#endif

#endif	/* PMS_COURSE_H */

